TXT2REGEX(1)

NAME

txt2regex - a Regular Expression Wizard, written with bash2 builtins

SYNOPSIS

txt2regex

txt2regex --nocolor|--whitebg

txt2regex --all|--prog <p1,p2,...,pN>

txt2regex --showmeta|--showinfo <program>

txt2regex --make <target>

txt2regex --history <value>

DESCRIPTION

txt2regex is a Regular Expression "wizard", all written with bash2 builtins, that converts human sentences to regexes.

With a simple interactive interface, you just answer to questions and build your own regex for a large variety of programs, like awk, emacs, grep, perl, php, procmail, python, sed and vim. There are more than 20 supported programs.

It's bash so download and run, no compilation needed.

Please visit the program homepage at http://txt2regex.sf.net.

OPTIONS

--all
    works with all registered programs

--help
    prints the help message and quit

--history <value>
    prints to STDOUT a regex from a history data

--make <target>
    prints a ready regex for a common pattern

--nocolor
    self-explanatory

--prog <p1,p2,...>
    choose which programs to use (separated by commas)

--showinfo <program>
    prints regex info about the program

--showmeta
    prints a complete metachar table for all programs

--version
    prints the program version and quit

--whitebg
    colors adjusted to white background terminals

By default, all options are turned OFF. Just call it with no options to launch the default interactive interface.

DETAILS

--all is cool but requires lots of lines (~35)

--nocolor is strong, so it kills --whitebg

--showmeta rules, try it

--showinfo uses reverse video output, --nocolor turns it off

--history is getting useful, stay tunned

--make is a remedy for headaches

--prog is nice to use your favorite programs, mix it with --make and --history

EXAMPLES

Calling the program on the default interactive interface
      $ txt2regex

Calling the program on a white terminal
      $ xterm -fg black -bg white ; txt2regex --whitebg

Getting information
      $ txt2regex --showmeta

Getting specific information
      $ txt2regex --showinfo sed

Calling it for specific programs
      $ txt2regex --prog vim,sed,grep,python

Applying a history data
      $ txt2regex --history '16421¤:01¤:'

Getting ready regexes!
      $ txt2regex --make hour
      $ txt2regex --make number3 --prog perl
      $ txt2regex --make date2 --all

INTERFACE

The program interface is simple and easy to use. This is its contents:

         +---------------------------------------+
         | -> Top menu                           |
         | -> Group menu                         |
         |                                       |
         | -> Regexes of the programs selected   |
         |    ...                                |
         |    ...                                |
         |                                       |
         | -> History                            |
         | -> Your prompt                        |
         |                                       |
         | -> The question                       |
         | -> The answers                        |
         |    ...                                |
         |    ...                                |
         +---------------------------------------+

All the basic commands can be used on the numeric pad on the keyboard, but remember to turn ON the NumLock key.

Command^Description
.^Quit the program (with confirmation)
0^Reset the Regular Expression
1-9^Answers the questions
*^Toggles color ON/OFF
/^Add/remove programs on/from the list
|^Insert an alternation (where allowed)
(^Open a new group (where allowed)
)^Close the opened group (if any)

BUGS

Bug reports and contributions are VERY welcome! Please send them to the author.

AUTHOR

Written and maintained by Aurelio Marinho Jargas <verde@aurelio.net>

COPYRIGHT

Copyright © 2000, 2001, 2002, 2003, 2004 Aurelio Marinho Jargas

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.